PDA

View Full Version : Rotate by reference



ronb
2005-12-14, 04:23 PM
First of alI I hope I'm in the rigth forum for this question.

Is there any way to modify the rotate command so it will rotate by reference point from the start rather than repetitve task of always typing "r". I would love to do the same with the lengthen command. I would like to do a lengthen by dynamic. Anyway if there's any informattion on this it would save me alot of time!!!

Thank you,

Ron

Mike.Perry
2005-12-15, 12:06 AM
Hi

You could use something like the following very simple LISP routine...


(defun c:RotateR ( / SSet)
(setq SSet (ssget))
(command "._Rotate" SSet "" Pause "_R")
(while (> (getvar "CMDACTIVE") 0)
(command pause)
)
(princ)
)Have a good one, Mike